com.h3c.util.pkt

## Enum LldpTlv.ChassisIdSubType

- java.lang.Object
- - java.lang.Enum<LldpTlv.ChassisIdSubType>
  - - com.h3c.util.pkt.LldpTlv.ChassisIdSubType

- All Implemented Interfaces:
    ProtocolEnum, Serializable, Comparable<LldpTlv.ChassisIdSubType>
  Enclosing class:
    LldpTlv

      public static enum LldpTlv.ChassisIdSubType
      extends Enum<LldpTlv.ChassisIdSubType>
      implements ProtocolEnum

  Chassis ID sub-types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHASSIS_COMP` Chassis component sub-type.
    `INTF_ALIAS` Interface alias sub-type.
    `INTF_NAME` Interface name sub-type.
    `LOCAL` Local sub-type.
    `MAC_ADDR` MAC address sub-type.
    `NET_ADDR` Network address sub-type.
    `PORT_COMP` Port component sub-type.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `code()` Returns the code value for the enumeration constant.
    `static LldpTlv.ChassisIdSubType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LldpTlv.ChassisIdSubType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CHASSIS_COMP

          public static final LldpTlv.ChassisIdSubType CHASSIS_COMP

      Chassis component sub-type.

    - #### INTF_ALIAS

          public static final LldpTlv.ChassisIdSubType INTF_ALIAS

      Interface alias sub-type.

    - #### PORT_COMP

          public static final LldpTlv.ChassisIdSubType PORT_COMP

      Port component sub-type.

    - #### MAC_ADDR

          public static final LldpTlv.ChassisIdSubType MAC_ADDR

      MAC address sub-type.

    - #### NET_ADDR

          public static final LldpTlv.ChassisIdSubType NET_ADDR

      Network address sub-type.

    - #### INTF_NAME

          public static final LldpTlv.ChassisIdSubType INTF_NAME

      Interface name sub-type.

    - #### LOCAL

          public static final LldpTlv.ChassisIdSubType LOCAL

      Local sub-type.

  - ### Method Detail

    - #### values

          public static LldpTlv.ChassisIdSubType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LldpTlv.ChassisIdSubType c : LldpTlv.ChassisIdSubType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LldpTlv.ChassisIdSubType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### code

          public int code()

      Description copied from interface: `ProtocolEnum`
      Returns the code value for the enumeration constant.
      Specified by:
        `code` in interface `ProtocolEnum`
      Returns:
        the code value

Copyright © 2014. All Rights Reserved.